﻿<button tabindex="-1" 
        class="button rounded system-text font-size-14px font-weight-bold @ClassName @(Disabled ? "hover-disabled" : "")" 
        role="button" 
        disabled="@Disabled"
        @onclick="OnClick">
    <span class="text">@ButtonText</span>
    <span>@HoverText</span>
</button>

@code {
    [Parameter]
    public EventCallback OnClick { get; set; }
    
    [Parameter]
    public string ButtonText { get; set; } = "";
    
    [Parameter]
    public string HoverText { get; set; } = "";
    
    [Parameter]
    public bool Disabled { get; set; }
    
    [Parameter]
    public string ClassName { get; set; } = "";
}